%define _major_version 1.5.0
%define _buildno 2120
%define debug_package %{nil}

Name:           pcsx2
Version:        %{_major_version}+git.%{_buildno}
Release:        1%{?dist}
Summary:        A Sony Playstation 2 Emulator
License:        GPLv3
Group:          Applications/Emulators
Url:            http://www.pcsx2.net/
Source0:        %{name}-%{_major_version}-%{_buildno}.tar.xz
#BuildArch:      i686

#BuildRequires: alsa-lib-devel.i686
#BuildRequires: bzip2-libs.i686
#BuildRequires: libjpeg-turbo-devel.i686
#BuildRequires: libGLEW.i686
#BuildRequires: glew-devel.i686
#BuildRequires: portaudio-devel.i686
#BuildRequires: SDL-devel.i686
#BuildRequires: libao-devel.i686
#BuildRequires: wxGTK3-devel.i686
#BuildRequires: soundtouch-devel.i686
#BuildRequires: sparsehash-devel.i686
#BuildRequires: libCg.i686
#BuildRequires: xz-devel.i686
#BuildRequires: zlib-devel.i686
#BuildRequires: libpng.i686
#BuildRequires: mesa-libGL-devel.i686
#BuildRequires: libaio-devel.i686
#BuildRequires: glib2-devel.i686
#BuildRequires: libX11-devel.i686
#BuildRequires: glibc-devel.i686
#BuildRequires: gtk3-devel.i686
#BuildRequires: libpng-devel.i686
#BuildRequires: systemd-devel.i686
#BuildRequires: freetype-devel.i686
#BuildRequires: cmake

%description
PCSX2 is an open source Playstation 2 emulator. It's purpose is to mimic the PS2 hardware, using a combination MIPS CPU Interpreters, Recompilers and a Virtual Machine which manages hardware states and PS2 system memory. It requires a dump of a real Playstation 2 BIOS, which is not included.

%prep
%setup -q -n %{name}-%{_major_version}-%{_buildno}

%build
cd pcsx2
mkdir build
cd build
cmake -DCMAKE_BUILD_TYPE=Release -DXDG_STD=TRUE -DCMAKE_BUILD_PO=FALSE -DSDL2_API=FALSE -DGTK3_API=TRUE -DCMAKE_TOOLCHAIN_FILE=cmake/linux-compiler-i386-multilib.cmake -DCMAKE_INSTALL_PREFIX=/usr -DPACKAGE_MODE=TRUE ..
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
cd pcsx2
cd build
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%attr(0755,root,root) /usr/bin/*
/usr/share/*
/usr/lib/*

%changelog
* Tue Jun 27 2017 Jeremy Wininger <jdwininger@gmail.com> - 1.5.0+git.2120-1
- Updated to latest git version
- edited cmake/SelectPcsx2Plugins.cmake to remove reference to SDL2 linked onepad
- edited cmake/BuildParameters.cmake to change install paths for PLUGIN_DIR and GAMEINDEX_DIR

* Mon Jan 30 2017 Jeremy Wininger <jdwininger@gmail.com> - 1.5.0+git.1856-1
- Updated to latest git version
- testing new build vm

* Mon Jan 23 2017 Jeremy Wininger <jdwininger@gmail.com> - 1.5.0+git.1832-1
- Updated to latest git version

* Mon Dec 19 2016 Jeremy Wininger <jdwininger@gmail.com> - 1.5+git.1716-1
- Updated to latest git version

* Sun Nov 27 2016 Jeremy Wininger <jdwininger@gmail.com> - 1.5+git.1660-1
- Updated to latest git version
- First Fedora 25 package

* Tue Sep 20 2016 Jeremy Wininger <jdwininger@gmail.com> - 1.5+git.b00ae97-1
- Updated to latest git version

* Thu Sep 15 2016 Jeremy Wininger <jdwininger@gmail.com> - 1.5+git.1a1d6ab-1
- Updated to latest git version

* Sat Jan 02 2016 Jeremy Wininger <jdwininger@gmail.com> - 1.3.1+git.6e34f18-1
- Updated to latest git version

#sudo dnf install alsa-lib-devel.i686 bzip2-libs.i686 libjpeg-turbo-devel.i686 libGLEW.i686 glew-devel.i686 portaudio-devel.i686 SDL-devel.i686 libao-devel.i686 wxGTK3-devel.i686 soundtouch-devel.i686 sparsehash-devel.i686 libCg.i686 xz-devel.i686 zlib-devel.i686 libpng.i686 mesa-libGL-devel.i686 libaio-devel.i686 glib2-devel.i686 libX11-devel.i686 glibc-devel.i686 gtk3-devel.i686 libpng-devel.i686 systemd-devel.i686 freetype-devel.i686 SDL2-devel.i686


